// Copyright (c) FIRST and other WPILib contributors.
// Open Source Software; you can modify and/or share it under the terms of
// the WPILib BSD license file in the root directory of this project.

package frc.robot.subsystem;

import com.revrobotics.CANSparkMax;
import com.revrobotics.CANSparkLowLevel.MotorType;
import edu.wpi.first.networktables.GenericEntry;
import edu.wpi.first.wpilibj.shuffleboard.Shuffleboard;
import edu.wpi.first.wpilibj.shuffleboard.ShuffleboardTab;
import edu.wpi.first.wpilibj2.command.SubsystemBase;
import frc.robot.Constants;

public class Lanceur extends SubsystemBase {
  /** Creates a new Lanceur. */
  ShuffleboardTab dashboard = Shuffleboard.getTab("dashboard");
   private GenericEntry vitesse =
      dashboard.add("vitesse", 0.8)
      .withSize(1, 1)
      .withPosition(3, 3)
         .getEntry();
         private GenericEntry vitesseamp =
            dashboard.add("vitesseamp", 0.1)
            .withSize(1, 1)
            .withPosition(3, 4)
               .getEntry();
  public Lanceur() {
    
  }
  final CANSparkMax lanceur1 = new CANSparkMax(Constants.lanceur, MotorType.kBrushless);
  final CANSparkMax lanceur2 = new CANSparkMax(Constants.lancer2, MotorType.kBrushless);
  final CANSparkMax lanceur3 = new CANSparkMax(Constants.lancer3, MotorType.kBrushless);
  final CANSparkMax lanceur4 = new CANSparkMax(Constants.lancer4, MotorType.kBrushless);
  public void pidspeaker(){
    lanceur1.getPIDController().setP(0.5);
    lanceur1.getPIDController().setI(0.5);
    lanceur1.getPIDController().setD(0.5);
    lanceur2.getPIDController().setP(0.5);
    lanceur2.getPIDController().setI(0.5);
    lanceur2.getPIDController().setD(0.5);
    lanceur3.getPIDController().setP(0.5);
    lanceur3.getPIDController().setI(0.5);
    lanceur3.getPIDController().setD(0.5);
    lanceur4.getPIDController().setP(0.5);
    lanceur4.getPIDController().setI(0.5);
    lanceur4.getPIDController().setD(0.5);
  }
  public void lancer(double vitesse){
    lanceur1.set(-vitesse);
    lanceur2.set(-vitesse);
    lanceur3.set(vitesse);
    lanceur4.set(-vitesse);
  }
  public void lancerspeaker(){
    lancer(vitesse.getDouble(0.8));
  }
  public void lanceramp(){
    lancer(vitesseamp.getDouble(0.1));
  }
  public double vitesse(double vitesse){
    return lanceur3.getEncoder().getVelocity();
  }
    public void lanceur(){
   
  }

  @Override
  public void periodic() {}
    // This method will be called once per scheduler run
  
}
